<?php
/*
  ===============================================================

  inGenio X
  http://ingenio.area421.com

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Jesus Moreno Hidalgo (Communication's tree)

  inGenio X is a free software licensed under CC-GNU GPL

  ===============================================================
*/
	if (!defined("IGNX")) { die("Attempt..."); }

if (isset($_GET["bus"]))
{
		
	// caracter de control
	$car = TPL_CARACTER_URL;

	// asignar a la ruta particular
	$conTIP = "";
		
	// ETIQUETAS //
	if (isset($_GET["tip"]))
	{
		$tip = $_GET["tip"];
		$cadena_bus_tip = trim($_GET["bus"]);
		
		// asignar al formulario
		define ("TPL_CADENA_BUSCADOR","");
		
		// asignar a la ruta particular
		$conTIP = AMPER."tip".IGUAL.$tip;
		
		
		// es cadena con codigo?
		if (strpos($cadena_bus_tip, $car) > 0)
		{
			$cadena_bus_redir = codificar_buscador($cadena_bus_tip, true); // descodifica
			$cadena_bus_redir_url = url_encode($cadena_bus_redir); // utf-8
			
			// redirecciones
			if (isset($_GET["sig"]))
			{
				Redir (RUTA_INICIO."len".IGUAL.IDIOMA_ACTUAL.AMPER."bus".IGUAL.$cadena_bus_redir_url.$conTIP.AMPER."sig".IGUAL.$sig.AMPER."pag".IGUAL.$pag);		
			} else {
				Redir (RUTA_INICIO."len".IGUAL.IDIOMA_ACTUAL.AMPER."bus".IGUAL.$cadena_bus_redir_url.$conTIP);
			}

		} else {
		
			$cadena_bus_tip = url_decode($cadena_bus_tip);
		}

		// iso-8859-1 a codigo
		$cadena_pags = codificar_buscador($cadena_bus_tip).TPL_SUFIJO_URL;
		
		if ($tip == 1)
		{		
		
		// buscar items
		$q_bus = "SELECT * FROM ".ITEMS." WHERE etiquetas LIKE '%,".$cadena_bus_tip.",%'";
		$q_bus .= " AND enabled=1 AND item_tipo=1 AND catID>0 ORDER BY orden DESC, itemID DESC limit ".$sig.", ".CONFIG_14."";	
		$q_bus_total = str_replace(" ORDER BY orden DESC, itemID DESC limit ".$sig.", ".CONFIG_14."","",$q_bus);
		
		} else if ($tip == 2)
		{
		
		// buscar items
		$q_bus = "SELECT * FROM ".ITEMS." WHERE n5_ciudad LIKE '%,".$cadena_bus_tip.",%'";
		$q_bus .= " AND enabled=1 AND item_tipo=1 AND catID>0 ORDER BY orden DESC, itemID DESC limit ".$sig.", ".CONFIG_14."";	
		$q_bus_total = str_replace(" ORDER BY orden DESC, itemID DESC limit ".$sig.", ".CONFIG_14."","",$q_bus);
				
		} else if ($tip == 3)
		{
		
		// buscar items
		$q_bus = "SELECT * FROM ".ITEMS." WHERE n5_pais LIKE '%,".$cadena_bus_tip.",%'";
		$q_bus .= " AND enabled=1 AND item_tipo=1 AND catID>0 ORDER BY orden DESC, itemID DESC limit ".$sig.", ".CONFIG_14."";	
		$q_bus_total = str_replace(" ORDER BY orden DESC, itemID DESC limit ".$sig.", ".CONFIG_14."","",$q_bus);
		
		} else if ($tip == 4)
		{
		// REDACTOR //
		// buscar items
		$q_bus = "SELECT * FROM ".ITEMS." WHERE redactor LIKE '%".$cadena_bus_tip."%'";
		$q_bus .= " AND enabled=1 AND item_tipo=1 AND catID>0 ORDER BY orden DESC, itemID DESC limit ".$sig.", ".CONFIG_14."";	
		$q_bus_total = str_replace(" ORDER BY orden DESC, itemID DESC limit ".$sig.", ".CONFIG_14."","",$q_bus);
		
		}
	
	// FORMULARIO //
	} else {
	
		$cadena = trim($_GET["bus"]);
		$cadena = entrada_buscador($cadena);


		// es cadena con codigo?
		if (strpos($cadena, $car) > 0)
		{
			$cadena_bus_redir = codificar_buscador($cadena, true); // descodifica
			$cadena_bus_redir_url = url_encode($cadena_bus_redir); // utf-8
			
			// redirecciones
			if (isset($_GET["sig"]))
			{
				Redir (RUTA_INICIO."len".IGUAL.IDIOMA_ACTUAL.AMPER."bus".IGUAL.$cadena_bus_redir_url.$conTIP.AMPER."sig".IGUAL.$sig.AMPER."pag".IGUAL.$pag);		
			} else {
				Redir (RUTA_INICIO."len".IGUAL.IDIOMA_ACTUAL.AMPER."bus".IGUAL.$cadena_bus_redir_url.$conTIP);
			}

		} else {
		
			$cadena = url_decode($cadena);
		}


		// iso-8859-1 a codigo
		$cadena_pags = codificar_buscador($cadena).TPL_SUFIJO_URL;
	
		$cadena_bus = explode(" ",$cadena);

		 // busca solo en itemID
		if (substr($cadena, 0, 2 ) == "**")
		{
			
			// borra el prefijo -> **
			$decode_cadena = str_replace("**","",$cadena_bus[0]);
			// asignar al formulario
			define ("TPL_CADENA_BUSCADOR",$decode_cadena);
			// buscar items
			$q_bus = "SELECT * FROM ".ITEMS." WHERE itemID = '".$decode_cadena."'";
			$q_bus .= " AND enabled=1 AND catID>0";	
			$q_bus_total = $q_bus;
		
		} else {
					
			// asignar al formulario
			define ("TPL_CADENA_BUSCADOR",$cadena);
		
			// buscar items
			$q_bus = "SELECT * FROM ".ITEMS." WHERE ((titulo LIKE '%".$cadena_bus[0]."%' OR titulo_1 LIKE '%".$cadena_bus[0]."%' OR titulo_2 LIKE '%".$cadena_bus[0]."%' OR titulo_3 LIKE '%".$cadena_bus[0]."%' OR titulo_4 LIKE '%".$cadena_bus[0]."%' OR titulo_5 LIKE '%".$cadena_bus[0]."%' OR texto LIKE '%".$cadena_bus[0]."%' OR texto_1 LIKE '%".$cadena_bus[0]."%' OR texto_2 LIKE '%".$cadena_bus[0]."%' OR texto_3 LIKE '%".$cadena_bus[0]."%' OR texto_4 LIKE '%".$cadena_bus[0]."%' OR texto_5 LIKE '%".$cadena_bus[0]."%') ";
			for ($i=1; $i<count($cadena_bus); $i++)
			{
				$q_bus .= "AND (titulo LIKE '%".$cadena_bus[$i]."%' OR titulo_1 LIKE '%".$cadena_bus[$i]."%' OR titulo_2 LIKE '%".$cadena_bus[$i]."%' OR titulo_3 LIKE '%".$cadena_bus[$i]."%' OR titulo_4 LIKE '%".$cadena_bus[$i]."%' OR titulo_5 LIKE '%".$cadena_bus[$i]."%' OR texto LIKE '%".$cadena_bus[$i]."%' OR texto_1 LIKE '%".$cadena_bus[$i]."%' OR texto_2 LIKE '%".$cadena_bus[$i]."%' OR texto_3 LIKE '%".$cadena_bus[$i]."%' OR texto_4 LIKE '%".$cadena_bus[$i]."%' OR texto_5 LIKE '%".$cadena_bus[$i]."%')";
			}
			$q_bus .= ") AND (enabled=1) AND (item_tipo=1) AND (catID>0) ORDER BY orden DESC, itemID DESC limit ".$sig.", ".CONFIG_14."";	
			$q_bus_total = str_replace(" ORDER BY orden DESC, itemID DESC limit ".$sig.", ".CONFIG_14."","",$q_bus);
		}		
		
	}
	
	// Smarty
	if (isset($_GET["tip"]))
	{
		$smarty->assign("cadena",$cadena_bus_tip);
		$smarty->assign("cadena_url",codificar_buscador($cadena_bus_tip).TPL_SUFIJO_URL);
	} else {
		$smarty->assign("cadena",$cadena);
		$smarty->assign("cadena_url",codificar_buscador($cadena).TPL_SUFIJO_URL);
	}
	$smarty->assign("conTIP",$conTIP);
	
	// items
	$salida_buscar = array();
	$q = myquery($q_bus,"[var_bus=1]");
	$i=0;
	while ($row = myfetch($q))
	{

			include ("./ints/inc/inc_item_list.php");
			
			$indice_ini = $i/CONFIG_56;
			$indice_fin = ($i+1)/CONFIG_56;
				
			if (is_int($indice_ini))
			{
				
				$row["salida_gral_tr_ini"] = 1;
			}

			if (is_int($indice_fin))
			{
				
				$row["salida_gral_tr_fin"] = 1;
			}

			// ancho de celda
			$row["salida_gral_celda"] = 100/CONFIG_56;						

				$salida_buscar[] = $row;
					
	$i++;
	} // del while

	// Smarty
	$smarty->assign("salida_buscar",$salida_buscar);

	// paginas - incluye ruta particular $conTIP
	$q_todos = myquery($q_bus_total,"[var_bus=2]");
	$cnt_items = mynumrows($q_todos);
	$paginas = paginas_gral($cnt_items, $sig, $pag, CONFIG_14, RUTA_INICIO."len".IGUAL.IDIOMA_ACTUAL.AMPER."bus".IGUAL.$cadena_pags.$conTIP.AMPER."sig".IGUAL);

	// Smarty
	$smarty->assign("total", $cnt_items);

	// Smarty
	$smarty->assign("paginas", $paginas);

}


?>